Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class DivPanelRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.DivPanelRenderer

Direct Known Subclasses:
  PanelMenuGroupRenderer, PanelMenuItemRenderer, PanelMenuRenderer, TogglePanelItemRenderer, TogglePanelRenderer, TooltipRenderer

    public abstract class DivPanelRenderer

extends RendererBase

Author:
  akolonitsky

Constructor Summary
`DivPanelRenderer()`

Method Summary
`protected static java.lang.String` | `attributeAsString(javax.faces.component.UIComponent comp, java.lang.Enum attr)`
`protected static java.lang.String` | `attributeAsString(javax.faces.component.UIComponent comp, java.lang.String attr)`
`protected static java.lang.String` | `attributeAsStyle(javax.faces.component.UIComponent comp, java.lang.Enum attr)`
`protected static java.lang.String` | `attributeAsStyle(javax.faces.component.UIComponent comp, java.lang.String attr)`
`static java.lang.String` | `capitalize(java.lang.String string)` Capitalize the first character of the given string.
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`protected void` | `doEncodeItemBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeItemEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected RenderKitUtils.Attributes` | `getPassThroughAttributes()`
`protected java.lang.Object` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.util.Map<java.lang.String,java.lang.Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getStyle(javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getStyleClass(javax.faces.component.UIComponent component)`
`protected static java.lang.String` | `styleElement(java.lang.Object name, java.lang.Object value)`
`protected void` | `writeJavaScript(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DivPanelRenderer

    public DivPanelRenderer()

Method Detail

### attributeAsStyle

    protected static java.lang.String attributeAsStyle(javax.faces.component.UIComponent comp,
                                                       java.lang.Enum attr)

### attributeAsStyle

    protected static java.lang.String attributeAsStyle(javax.faces.component.UIComponent comp,
                                                       java.lang.String attr)

### styleElement

    protected static java.lang.String styleElement(java.lang.Object name,
                                                   java.lang.Object value)

### attributeAsString

    protected static java.lang.String attributeAsString(javax.faces.component.UIComponent comp,
                                                        java.lang.Enum attr)

### attributeAsString

    protected static java.lang.String attributeAsString(javax.faces.component.UIComponent comp,
                                                        java.lang.String attr)

### capitalize

    public static java.lang.String capitalize(java.lang.String string)

  Capitalize the first character of the given string.

  Parameters:
    `string` - String to capitalize.
  Returns:
    Capitalized string.
  Throws:
    `java.lang.IllegalArgumentException` - String is null or empty.

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Description copied from class: `RendererBase`
  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.

  Overrides:
    `doEncodeBegin` in class `RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeItemBegin

    protected void doEncodeItemBegin(javax.faces.context.ResponseWriter writer,
                                     javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStyle

    protected java.lang.String getStyle(javax.faces.component.UIComponent component)

### getPassThroughAttributes

    protected RenderKitUtils.Attributes getPassThroughAttributes()

### getStyleClass

    protected java.lang.String getStyleClass(javax.faces.component.UIComponent component)

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Description copied from class: `RendererBase`
  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.

  Overrides:
    `doEncodeEnd` in class `RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeItemEnd

    protected void doEncodeItemEnd(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeJavaScript

    protected void writeJavaScript(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getScriptObject

    protected java.lang.Object getScriptObject(javax.faces.context.FacesContext context,
                                               javax.faces.component.UIComponent component)

### getScriptObjectOptions

    protected java.util.Map<java.lang.String,java.lang.Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                                                      javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.